ExposureValues.ExposureSettingsMinMax

com.hsm.barcode

## Class ExposureValues.ExposureSettingsMinMax

- java.lang.Object
- - com.hsm.barcode.ExposureValues.ExposureSettingsMinMax

- Enclosing class:
    ExposureValues

      public class ExposureValues.ExposureSettingsMinMax
      extends java.lang.Object

  ExposureSettingsMinMax class that defines Minimum and Maximum settings for ExposureSettings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEC_MAX_ES_CONFORM_IMAGE` Maximum conform image setting
    `static int` | `DEC_MAX_ES_CONFORM_TRIES` Maximum conform tries setting
    `static int` | `DEC_MAX_ES_EXPOSURE_METHOD` Deprecated. Maximum exposure method setting
    `static int` | `DEC_MAX_ES_FIXED_EXP` Maximum fixed exposure setting
    `static int` | `DEC_MAX_ES_FIXED_FRAME_RATE` Maximum fixed frame rate setting
    `static int` | `DEC_MAX_ES_FIXED_GAIN` Maximum fixed gain setting
    `static int` | `DEC_MAX_ES_FRAME_RATE` Deprecated. Maximum frame rate setting
    `static int` | `DEC_MAX_ES_MAX_EXP` Maximum exposure setting
    `static int` | `DEC_MAX_ES_MAX_GAIN` Maximum gain setting
    `static int` | `DEC_MAX_ES_SPECULAR_EXCLUSION` Deprecated. Maximum specular exclusion setting
    `static int` | `DEC_MAX_ES_SPECULAR_LIMIT` Deprecated. Maximum specular limit setting
    `static int` | `DEC_MAX_ES_SPECULAR_SAT` Deprecated. Maximum specular saturation setting
    `static int` | `DEC_MAX_ES_TARGET_ACCEPT_GAP` Maximum target acceptance gap
    `static int` | `DEC_MAX_ES_TARGET_PERCENTILE` Maximum target percentile
    `static int` | `DEC_MAX_ES_TARGET_VALUE` Maximum target white value
    `static int` | `DEC_MIN_ES_CONFORM_IMAGE` Minimum conform image setting
    `static int` | `DEC_MIN_ES_CONFORM_TRIES` Minimum conform tries setting
    `static int` | `DEC_MIN_ES_EXPOSURE_METHOD` Deprecated. Minimum exposure method setting
    `static int` | `DEC_MIN_ES_FIXED_EXP` Minimum fixed exposure setting
    `static int` | `DEC_MIN_ES_FIXED_FRAME_RATE` Minimum fixed frame rate setting
    `static int` | `DEC_MIN_ES_FIXED_GAIN` Minimum fixed gain setting
    `static int` | `DEC_MIN_ES_FRAME_RATE` Deprecated. Minimum frame rate setting
    `static int` | `DEC_MIN_ES_MAX_EXP` Minimum exposure setting
    `static int` | `DEC_MIN_ES_MAX_GAIN` Minimum gain setting
    `static int` | `DEC_MIN_ES_SPECULAR_EXCLUSION` Deprecated. Minimum specular exclusion setting
    `static int` | `DEC_MIN_ES_SPECULAR_LIMIT` Deprecated. Minimum specular limit setting
    `static int` | `DEC_MIN_ES_SPECULAR_SAT` Deprecated. Minimum specular saturation setting
    `static int` | `DEC_MIN_ES_TARGET_ACCEPT_GAP` Minimum target acceptance gap
    `static int` | `DEC_MIN_ES_TARGET_PERCENTILE` Minimum target percentile
    `static int` | `DEC_MIN_ES_TARGET_VALUE` Minimum target while value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExposureSettingsMinMax()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEC_MIN_ES_EXPOSURE_METHOD

          public static final int DEC_MIN_ES_EXPOSURE_METHOD

      Deprecated. Minimum exposure method setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_EXPOSURE_METHOD

          public static final int DEC_MAX_ES_EXPOSURE_METHOD

      Deprecated. Maximum exposure method setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_TARGET_VALUE

          public static final int DEC_MIN_ES_TARGET_VALUE

      Minimum target while value
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_TARGET_VALUE

          public static final int DEC_MAX_ES_TARGET_VALUE

      Maximum target white value
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_TARGET_PERCENTILE

          public static final int DEC_MIN_ES_TARGET_PERCENTILE

      Minimum target percentile
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_TARGET_PERCENTILE

          public static final int DEC_MAX_ES_TARGET_PERCENTILE

      Maximum target percentile
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_TARGET_ACCEPT_GAP

          public static final int DEC_MIN_ES_TARGET_ACCEPT_GAP

      Minimum target acceptance gap
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_TARGET_ACCEPT_GAP

          public static final int DEC_MAX_ES_TARGET_ACCEPT_GAP

      Maximum target acceptance gap
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_MAX_EXP

          public static final int DEC_MIN_ES_MAX_EXP

      Minimum exposure setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_MAX_EXP

          public static final int DEC_MAX_ES_MAX_EXP

      Maximum exposure setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_MAX_GAIN

          public static final int DEC_MIN_ES_MAX_GAIN

      Minimum gain setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_MAX_GAIN

          public static final int DEC_MAX_ES_MAX_GAIN

      Maximum gain setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_FRAME_RATE

          public static final int DEC_MIN_ES_FRAME_RATE

      Deprecated. Minimum frame rate setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_FRAME_RATE

          public static final int DEC_MAX_ES_FRAME_RATE

      Deprecated. Maximum frame rate setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_CONFORM_IMAGE

          public static final int DEC_MIN_ES_CONFORM_IMAGE

      Minimum conform image setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_CONFORM_IMAGE

          public static final int DEC_MAX_ES_CONFORM_IMAGE

      Maximum conform image setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_CONFORM_TRIES

          public static final int DEC_MIN_ES_CONFORM_TRIES

      Minimum conform tries setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_CONFORM_TRIES

          public static final int DEC_MAX_ES_CONFORM_TRIES

      Maximum conform tries setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_SPECULAR_EXCLUSION

          public static final int DEC_MIN_ES_SPECULAR_EXCLUSION

      Deprecated. Minimum specular exclusion setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_SPECULAR_EXCLUSION

          public static final int DEC_MAX_ES_SPECULAR_EXCLUSION

      Deprecated. Maximum specular exclusion setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_SPECULAR_SAT

          public static final int DEC_MIN_ES_SPECULAR_SAT

      Deprecated. Minimum specular saturation setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_SPECULAR_SAT

          public static final int DEC_MAX_ES_SPECULAR_SAT

      Deprecated. Maximum specular saturation setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_SPECULAR_LIMIT

          public static final int DEC_MIN_ES_SPECULAR_LIMIT

      Deprecated. Minimum specular limit setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_SPECULAR_LIMIT

          public static final int DEC_MAX_ES_SPECULAR_LIMIT

      Deprecated. Maximum specular limit setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_FIXED_EXP

          public static final int DEC_MIN_ES_FIXED_EXP

      Minimum fixed exposure setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_FIXED_EXP

          public static final int DEC_MAX_ES_FIXED_EXP

      Maximum fixed exposure setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_FIXED_GAIN

          public static final int DEC_MIN_ES_FIXED_GAIN

      Minimum fixed gain setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_FIXED_GAIN

          public static final int DEC_MAX_ES_FIXED_GAIN

      Maximum fixed gain setting
      See Also:
        Constant Field Values

    - #### DEC_MIN_ES_FIXED_FRAME_RATE

          public static final int DEC_MIN_ES_FIXED_FRAME_RATE

      Minimum fixed frame rate setting
      See Also:
        Constant Field Values

    - #### DEC_MAX_ES_FIXED_FRAME_RATE

          public static final int DEC_MAX_ES_FIXED_FRAME_RATE

      Maximum fixed frame rate setting
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExposureSettingsMinMax

          public ExposureSettingsMinMax()